#ifndef WCLOSURES_H
#define WCLOSURES_H

#include "vii.h"
#include <vector>
#include <string>

namespace vii
{

class DART_API Closures
{
public:
    Closures();
    ~Closures();
    void LaminarClosures(std::vector<double> &closureVars, double theta, double H, double Ret, const double Me, const std::string name) const;
    void TurbulentClosures(std::vector<double> &closureVars, double theta, double H, double Ct, double Ret, double Me, const std::string name) const;
    void TurbulentClosures(double &closureVars, double theta, double H, double Ct, double Ret, const double Me, const std::string name) const;
};
} // namespace vii
#endif //WClosures_H